Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel.server
Class VirtualServerMetrics

`java.lang.Object
oracle.ovs.api.datamodel.server.VirtualServerMetrics`

      public class VirtualServerMetrics

extends java.lang.Object

Virtual Server Metrics Including items:

1. Virtual Server ID
2. Virtual Server Name
3. Sum of allocated VCPU for all VMs running on this Server
4. Number of physical CPU on this Server
5. Number of chips
6. CPU Speed MHZ
7. CPU Utilization
8. Total memory on this Server (MB)
9. Available Memory for future VM instance creation on this server(MB)

Constructor Summary
`VirtualServerMetrics()` Default constructor

Method Summary
`java.lang.Long` | `getAllocatedVCpu()` Get Allocated VCPU number
`java.lang.Long` | `getCpuSpeedMHZ()` Get CPU Speedm(MHZ)
`java.util.Map` | `getCpuUtil()` Get CPU Utilization for all CPUs.
`java.lang.Long` | `getFreeMemory()` Get free memory
`java.lang.Long` | `getNumberOfChips()` Get Chips number
`java.lang.Long` | `getNumOfPhysicalCPU()` Get physical CPU number
`java.lang.Long` | `getTotalMemory()` Get total memory
`java.lang.Long` | `getVirtualServerID()` Get virtual server ID
`java.lang.String` | `getVirtualServerName()` Get Virtual Server Name
`static void` | `main(java.lang.String[] args)`
`void` | `setAllocatedVCpu(java.lang.Long allocatedVCpu)` Set Allocated VCPU number
`void` | `setCpuSpeedMHZ(java.lang.Long cpuSpeedMHZ)` Set CPU Speedm(MHZ)
`void` | `setCpuUtil(java.util.Map cpuUtil)` Set CPU Utilization for all CPUs.
`void` | `setFreeMemory(java.lang.Long freeMemory)` Set free memory
`void` | `setNumOfChips(java.lang.Long numOfChips)` Set Chips number
`void` | `setNumOfPhysicalCPU(java.lang.Long numOfPhysicalCPU)` Set physical CPU number
`void` | `setTotalMemory(java.lang.Long totalMemory)` Set total memory
`void` | `setVirtualServerID(java.lang.Long virtualServerID)` Set virtual server ID, for the VirtualServerMetrics is against this virtual server.
`void` | `setVirtualServerName(java.lang.String virtualServerName)` Set Virtual Server Name
`java.lang.String` | `toString()` Override java.lang.Object.toString()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualServerMetrics

    public VirtualServerMetrics()

  Default constructor

Method Detail

### setTotalMemory

    public void setTotalMemory(java.lang.Long totalMemory)

  Set total memory
  Parameters:
    `totalMemory` - Total Memory

### getTotalMemory

    public java.lang.Long getTotalMemory()

  Get total memory
  Returns:
    Total Memory

### setFreeMemory

    public void setFreeMemory(java.lang.Long freeMemory)

  Set free memory
  Parameters:
    `freeMemory` - Free meory

### getFreeMemory

    public java.lang.Long getFreeMemory()

  Get free memory
  Returns:
    Free mory

### setVirtualServerID

    public void setVirtualServerID(java.lang.Long virtualServerID)

  Set virtual server ID, for the VirtualServerMetrics is against this virtual server.
  Parameters:
    `virtualServerID` - Virtual server ID

### getVirtualServerID

    public java.lang.Long getVirtualServerID()

  Get virtual server ID
  Returns:
    Virtual server ID

### toString

    public java.lang.String toString()

  Override java.lang.Object.toString()
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    VirtualServerMetrics Object description.

### setCpuUtil

    public void setCpuUtil(java.util.Map cpuUtil)

  Set CPU Utilization for all CPUs. Map for each CPU and its utilization.
  Parameters:
    `cpuUtil` - CPU Utilization

### getCpuUtil

    public java.util.Map getCpuUtil()

  Get CPU Utilization for all CPUs.
  Returns:
    CPU Utilization

### setVirtualServerName

    public void setVirtualServerName(java.lang.String virtualServerName)

  Set Virtual Server Name
  Parameters:
    `virtualServerName` - Virtual Server Name

### getVirtualServerName

    public java.lang.String getVirtualServerName()

  Get Virtual Server Name
  Returns:
    Virtual Server Name

### setAllocatedVCpu

    public void setAllocatedVCpu(java.lang.Long allocatedVCpu)

  Set Allocated VCPU number
  Parameters:
    `allocatedVCpu` - Allocated VCPU number

### getAllocatedVCpu

    public java.lang.Long getAllocatedVCpu()

  Get Allocated VCPU number
  Returns:
    Allocated VCPU number

### setNumOfPhysicalCPU

    public void setNumOfPhysicalCPU(java.lang.Long numOfPhysicalCPU)

  Set physical CPU number
  Parameters:
    `numOfPhysicalCPU` - Physical CPU number

### getNumOfPhysicalCPU

    public java.lang.Long getNumOfPhysicalCPU()

  Get physical CPU number
  Returns:
    Physical CPU number

### setNumOfChips

    public void setNumOfChips(java.lang.Long numOfChips)

  Set Chips number
  Parameters:
    `numOfChips` - Chips number

### getNumberOfChips

    public java.lang.Long getNumberOfChips()

  Get Chips number
  Returns:
    Chips number

### setCpuSpeedMHZ

    public void setCpuSpeedMHZ(java.lang.Long cpuSpeedMHZ)

  Set CPU Speedm(MHZ)
  Parameters:
    `cpuSpeedMHZ` - CPU Speedm(MHZ)

### getCpuSpeedMHZ

    public java.lang.Long getCpuSpeedMHZ()

  Get CPU Speedm(MHZ)
  Returns:
    CPU Speedm(MHZ)

### main

    public static void main(java.lang.String[] args)

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.